Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class HopfieldLearning

    java.lang.Object
      java.util.Observable
          org.neuroph.core.learning.LearningRule
              org.neuroph.nnet.learning.HopfieldLearning

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class HopfieldLearning

extends LearningRule

Learning algorithm for the Hopfield neural network.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.LearningRule
`neuralNetwork`

Constructor Summary
`HopfieldLearning()` Creates new HopfieldLearning
`HopfieldLearning(NeuralNetwork neuralNetwork)` Creates new HopfieldLearning for the specified neural network

Method Summary
`void` | `learn(TrainingSet trainingSet)` Calculates weights for the hopfield net to learn the specified training set

Methods inherited from class org.neuroph.core.learning.LearningRule
`getNeuralNetwork, getTrainingSet, isStopped, notifyChange, run, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HopfieldLearning

    public HopfieldLearning()

  Creates new HopfieldLearning

### HopfieldLearning

    public HopfieldLearning(NeuralNetwork neuralNetwork)

  Creates new HopfieldLearning for the specified neural network

  Parameters:
    `neuralNetwork` -

Method Detail

### learn

    public void learn(TrainingSet trainingSet)

  Calculates weights for the hopfield net to learn the specified training set

  Specified by:
    `learn` in class `LearningRule`
  Parameters:
    `trainingSet` - training set to learn

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD